Name:           osgcal
Version:	0.1.40
Release:        3%{?dist}
Summary:        Adapts OpenSceneGraph to use Cal3D
Group:          Development/Libraries
License:        LGPL
URL:            http://gna.org/projects/underware
Source0:        http://download.gna.org/underware/sources/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  OpenSceneGraph-devel cal3d-devel libxml2-devel glib2-devel
BuildRequires:  libungif-devel libtool

%if "%fedora" > "4"
BuildRequires:  libGL-devel
%else
BuildRequires:	xorg-x11-devel
%endif

%description
osgCal is an adapter to use the Cal3D character animation library
(http://cal3d.sourceforge.net) inside the OpenSceneGraph OpenGL based
3D scene graph (http://www.openscenegraph.org).

%package devel
Summary:        Library development files for osgCal
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       cal3d-devel

%description devel
This package contains headers and libraries required to build applications that
use osgCal.

%prep
%setup -q

%build
LIBTOOL=libtool %configure --enable-gifplugin --disable-static
%{__make} LIBTOOL=libtool %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%check
%{__make} %{?_smp_mflags} check

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING LGPL README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_libdir}/*.so.*
%{_mandir}/man1/%{name}.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/osgCal
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%exclude %{_libdir}/*.la
# libtool hack does not remove static libs
%exclude %{_libdir}/*.a

%changelog
* Sat Jul 08 2006 Christopher Stone <chris.stone@gmail.com> 0.1.40-3
- Rebuild against new cal3d

* Mon Jun 19 2006 Christopher Stone <chris.stone@gmail.com> 0.1.40-2
- Add libtool hack to remove rpath

* Wed Jun 14 2006 Christopher Stone <chris.stone@gmail.com> 0.1.40-1
- Upstream sync
- Update Source0 location
- Modify spec to work with FC-4 BuildRequires
- Add cal3d-devel to devel Requires
- Add %%check section
- Use macros for system commands
- Add %%defattr to devel %%files
- Update Summary description
- Update License field
- %%exclude .la instead of %%ghost

* Mon Apr 10 2006 Loic Dachary <loic at gnu.org> 0.1.39-1
- Upstream sync

* Sun Mar 26 2006 Loic Dachary <loic at gnu.org> 0.1.38-1
- Upstream sync

* Sun Mar 26 2006 Christopher Stone <chris.stone@gmail.com> 0.1.37-2
- Fix BuildRequires
- Add gcc41 patch

* Sat Mar 25 2006 Loic Dachary <loic at gnu.org> 0.1.37-1
- Upstream sync
- Added gifplugin 

* Fri Mar 17 2006 Christopher Stone <chris.stone@gmail.com> 0.1.36-1
- Initial RPM release
